Package com.avaya.clientservices.agent

## Enum AgentFeatureType

- java.lang.Object
- - java.lang.Enum<AgentFeatureType>
  - - com.avaya.clientservices.agent.AgentFeatureType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AgentFeatureType>`

      public enum AgentFeatureType
      extends java.lang.Enum<AgentFeatureType>

  Defines the list of supported agent features. This enumeration is applicable for all of the features supported by client services, not tailored based on capabilities provisioned for an agent in the network (available features).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER_CALL_WORK` | After call work feature is an agents work mode which allows the agent to complete work associated with previous Automatic Call Distribution (ACD) call such as filling a form related to ACD call without receiving new ACD call.
    `AGENT_LOGIN` | Agent login feature allows agents to login to signalling server in order to receive an Automatic Call Distribution (ACD) calls.
    `AGENT_LOGOUT` | Agent logout feature allows agents to logout from signalling server and will not receive any Automatic Call Distribution (ACD) calls.
    `AUTO_IN` | Auto-In feature is a mode which allows the agent to be available to accept subsequent Automatic Call Distribution (ACD) call right after previous call ends.
    `AUXILIARY` | Auxiliary feature is an agents work mode which allows the agent to make him or her self temporary unavailable to receive Automatic Call Distribution (ACD) calls.
    `CALL_WORK_CODE` | Call Work Code(CWC) feature allows agents to type up to 16 digits to record or report customer-related information in reporting system (e.g.
    `CALLER_INFORMATION` | Caller information feature allows agents to get the collected digits (maximum 16 digits) associated with the call.
    `CHANGE_AGENT_SKILL` | The Add Skill feature allows an agent or other station user to add a skill to the skills assigned to an agent.
    `FORCED_LOGOUT_OVERRIDE` | The signalling server configuration allows it to forcefully logout an agent after a pre-configured time duration.
    `MANUAL_IN` | Manual-In feature is a call-answering mode in which an agent must press manual-in to receive subsequent Automatic Call Distribution (ACD) call after previous call ends.
    `QUEUE_STATISTICS` | Queue statistics feature provides statistics about particular skill or queue for an agent as administered on signalling server.
    `STROKE_COUNT` | Stroke counts feature allows agents to record in Call Management System (CMS) the number of times that a particular customer related event occurs.
    `SUPERVISOR_ASSIST` | Supervisor assist feature allows agents to request for supervisor assistance based on active Automatic Call Distribution (ACD) call or the skill that agent is active on.
    `UNDEFINED` |
    `USER_TO_USER_INFORMATION` | User to user information feature allows agents to get the user to user information (UUI) associated with the call.
    `VIEW_STATISTICS` | View statistics (VuStats) feature allows agents, supervisors, call center managers, and other users to view the statistics for agents, skills, VDNs, and trunk groups.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AgentFeatureType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AgentFeatureType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final AgentFeatureType UNDEFINED

    - #### AGENT_LOGIN

          public static final AgentFeatureType AGENT_LOGIN

      Agent login feature allows agents to login to signalling server in order to receive an Automatic Call Distribution (ACD) calls. The signalling server treats logged-in agents as staffed agents.

    - #### AGENT_LOGOUT

          public static final AgentFeatureType AGENT_LOGOUT

      Agent logout feature allows agents to logout from signalling server and will not receive any Automatic Call Distribution (ACD) calls.

    - #### AUTO_IN

          public static final AgentFeatureType AUTO_IN

      Auto-In feature is a mode which allows the agent to be available to accept subsequent Automatic Call Distribution (ACD) call right after previous call ends. In summary, it is a call-answering mode in which an agent automatically receives ACD calls without pressing any button to receive subsequent ACD calls.

    - #### MANUAL_IN

          public static final AgentFeatureType MANUAL_IN

      Manual-In feature is a call-answering mode in which an agent must press manual-in to receive subsequent Automatic Call Distribution (ACD) call after previous call ends. In summary, it is a call-answering mode in which an agent chooses manually when he or she is ready to receive next ACD call instead of automatically become available for next ACD call.

    - #### AUXILIARY

          public static final AgentFeatureType AUXILIARY

      Auxiliary feature is an agents work mode which allows the agent to make him or her self temporary unavailable to receive Automatic Call Distribution (ACD) calls.

    - #### AFTER_CALL_WORK

          public static final AgentFeatureType AFTER_CALL_WORK

      After call work feature is an agents work mode which allows the agent to complete work associated with previous Automatic Call Distribution (ACD) call such as filling a form related to ACD call without receiving new ACD call.

    - #### USER_TO_USER_INFORMATION

          public static final AgentFeatureType USER_TO_USER_INFORMATION

      User to user information feature allows agents to get the user to user information (UUI) associated with the call.

    - #### CALL_WORK_CODE

          public static final AgentFeatureType CALL_WORK_CODE

      Call Work Code(CWC) feature allows agents to type up to 16 digits to record or report customer-related information in reporting system (e.g. Call Management System CMS).

    - #### STROKE_COUNT

          public static final AgentFeatureType STROKE_COUNT

      Stroke counts feature allows agents to record in Call Management System (CMS) the number of times that a particular customer related event occurs. Agents can record up to nine events for each call.

    - #### FORCED_LOGOUT_OVERRIDE

          public static final AgentFeatureType FORCED_LOGOUT_OVERRIDE

      The signalling server configuration allows it to forcefully logout an agent after a pre-configured time duration. This feature allows an agent to override the forced logout operation to prevent forced logout.

    - #### VIEW_STATISTICS

          public static final AgentFeatureType VIEW_STATISTICS

      View statistics (VuStats) feature allows agents, supervisors, call center managers, and other users to view the statistics for agents, skills, VDNs, and trunk groups. The statistics reflect information collected since the agent logged in, since the day began, or historical data accumulated over an administered number of intervals. The information is limited to 40 characters at a time but it can be updated on demand or periodically.

    - #### QUEUE_STATISTICS

          public static final AgentFeatureType QUEUE_STATISTICS

      Queue statistics feature provides statistics about particular skill or queue for an agent as administered on signalling server. In summary, this feature provides the number of calls in a queue and the time the oldest call is in a queue.

    - #### SUPERVISOR_ASSIST

          public static final AgentFeatureType SUPERVISOR_ASSIST

      Supervisor assist feature allows agents to request for supervisor assistance based on active Automatic Call Distribution (ACD) call or the skill that agent is active on.

    - #### CALLER_INFORMATION

          public static final AgentFeatureType CALLER_INFORMATION

      Caller information feature allows agents to get the collected digits (maximum 16 digits) associated with the call.

    - #### CHANGE_AGENT_SKILL

          public static final AgentFeatureType CHANGE_AGENT_SKILL

      The Add Skill feature allows an agent or other station user to add a skill to the skills assigned to an agent. The Remove Skill feature allows the agent or other station user to remove (unassign) a skill that is assigned to an agent. The activation of these features is combined under one feature button.

  - ### Method Detail

    - #### values

          public static AgentFeatureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AgentFeatureType c : AgentFeatureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AgentFeatureType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null